Package org.apache.maven.scm.provider.clearcase.command.add

## Class ClearCaseAddCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.add.AbstractAddCommand
    - - org.apache.maven.scm.provider.clearcase.command.add.ClearCaseAddCommand

All Implemented Interfaces:
  `Command`, `ClearCaseCommand`

    public class ClearCaseAddCommand
    extends AbstractAddCommand
    implements ClearCaseCommand

Author:
  Wim Deblauwe

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
`ClearCaseAddCommand()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.codehaus.plexus.util.cli.Commandline` `createCommandLine​(ScmFileSet scmFileSet)`
`protected ScmResult` `executeAddCommand​(ScmProviderRepository scmProviderRepository, ScmFileSet scmFileSet, java.lang.String string, boolean b)`

### Methods inherited from class org.apache.maven.scm.command.add.AbstractAddCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClearCaseAddCommand

    public ClearCaseAddCommand()

### Method Detail

#### executeAddCommand

    protected ScmResult executeAddCommand​(ScmProviderRepository scmProviderRepository,
                                          ScmFileSet scmFileSet,
                                          java.lang.String string,
                                          boolean b)
                                   throws ScmException

Specified by:
  `executeAddCommand` in class `AbstractAddCommand`
Throws:
  `ScmException`

#### createCommandLine

    public static org.codehaus.plexus.util.cli.Commandline createCommandLine​(ScmFileSet scmFileSet)